?

Log in

No account? Create an account

https в Windows XP, 2003 server - теперь только в Мозилле. И скоро кончится тоже.

дек. 15, 2016 | 02:54 am

UPD6: Opera 12.17-12.18 тоже имеет проблемы. Коммент на эту тему ЖЖ не позволяет расскринить - вот ссылка на скриншот: http://c2n.qkowlew.org/qhome-q-2017-06-17_095913.png
UPD5: Mozilla тоже скоро всё: Прекращена поддержка платформ Windows XP и Vista. Последним LTS-выпуском для данных систем станет Firefox 52, который будет поддерживаться до апреля 2018 года; (интересно, Витус дал взятку? Дать что ли взятку Mozilla Foundation, чтобы и они его поддерживать перестали...)

Как известно, ныне под Винду есть три существенно различных броусера:
Internet Explorer, Mozilla Firefox и Google Chrome.

Однако в части "безопасных" протоколов https всё ещё хуже - у Мозиллы есть своя реализация SSL/TLS, а Гугль тупо пользуется системной, той же что IE.

В настоящее время для Windows XP и 2003 настал момент, когда ни один браусер, кроме Мозиллы, не может установить https соединение с сайтами, на которых используется TLS 1.1 и более поздние. Так как в этих операционках реализации TLS позже 1.0 просто нет (и более не будет апдейтов). "сертификат имеет недействительную подпись, иди нахрен отседова". Так как Гугль продавливает логику "ssl everywhere", а рынок с наслаждением потирает свои наглые ручки в ожидании бабла от врадельцев сайтов...

Иными словами, машинки с Windows XP и Windows 2003 server ЕЩЁ НЕ ПЕРЕСТАЛИ (пока файрфокс жив и развивается), но скоро могут перестать быть используемы для просмотра на них существенной доли современного интернета. А особенно - нафиг всякий онлайн банкинг, оплата и магазины.

И Файрфокс на них - в ближайшее время становится безальтернативен. :(
UPD1: Ну можно ещё какое-то время жить на Opera 12.17. Но уже есть проблемы. См. выше UPD6
UPD2: Клоны Хрома не предлагать, они ВСЕ наследуют логику "пользуемся системным". Vivaldi туда же.
UPD3: Клоны Файрфокса (PaleMoon был интересен на момент выхода, например) не интересны, ибо ОТСТАЮТ от основного потока.
UPD4: Старый Сафари (Safari 5.*) под виндой - тоже системное хранилище криптографии использует.

Ссылка | Оставить комм. уже {37} |